/*
 * Class INDEXABLE_ITERATION_CURSOR [POINTER]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1788 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1788 [] = {0xFF01,1551,1787,881,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1788 [] = {0xFF01,1787,881,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1788 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1788 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1788 [] = {0xFF01,1787,881,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1788 [] = {0xFF01,1787,881,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1788 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1788 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1788 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1788 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1788 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1788 [] = {1787,881,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1788 [] = {0xFF01,1787,881,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1788 [] = {0xFF01,1787,881,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1788 [] = {0xFF01,1787,881,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1788 [] = {0xFF01,1787,881,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1788 [] = {0xFF01,1787,881,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1788 [] = {0xFF01,1789,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1788 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1788 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1788 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1788 [] = {0xFF01,1787,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1788 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1788[] = {
	{EIF_GENERIC(NULL), 10736, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1788), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1788), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1788), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1788), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1788), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1788), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1788), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1788), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1788), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1788), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1788), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1788), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1788), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1788), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10737, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10739, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10740, 12},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10741, 16},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10742, 20},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10743, 24},
	{EIF_GENERIC(egt_14_1788), 10745, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1788), 10746, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1788), 10747, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1788), 10748, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 10749, 8},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10751, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10752, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10753, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10754, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10755, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10756, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10757, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1788), 10759, 0},
	{EIF_GENERIC(egt_19_1788), 10760, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1788), 10738, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10750, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10758, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1788), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1788), 10744, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1788), -1, 0xFFFFFFFF},
};
void Init1788(void)
{
	IDSC(desc_1788, 0, 1787);
	IDSC(desc_1788 + 1, 1, 1787);
	IDSC(desc_1788 + 32, 880, 1787);
	IDSC(desc_1788 + 52, 1449, 1787);
	IDSC(desc_1788 + 56, 1088, 1787);
}


#ifdef __cplusplus
}
#endif
